main{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-top: 100px;
    gap: 30px;
    flex-wrap: wrap;
    padding: 0 100px 0 100px;
    .product{
        width: 500px;
        height: 250px;
        outline: 1px solid white;
        display: flex;
        align-items: flex-end;
        outline: 1px solid black;
        line-height: 1;
        .product_image{
            background-size:contain;
            background-repeat: no-repeat;
            height: 250px;
            width: 300px;
            background-color: white;
        }
        .product_info{
            font-size: 16px;
            background-color: rgb(10, 20, 30);
            padding: 10px;
            width: 180px;
            height: 230px;
            display: flex;
            flex-direction: column;
            * {
                margin: 10px;
            }
            .buy_button_container{
                background-color: black;
                position: absolute;
                margin-top: 170px;
                width: 150px;
                height: 40px;
                display: grid;
                grid-template-columns: 80px 70px;
                *{
                    margin: 5px;
                }
                .price{
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    font-size: 20px;
                }
                .buy_button{
                    background-color: rgb(117, 176, 34);
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    border-radius: 3px;
                    color: rgb(230, 230, 230);
                }
                .buy_button:hover{
                    background-color: rgb(120, 200, 25);
                    color: rgb(255, 255, 255);
                }
            }
        }
        

    }

}
